Bug 11624 - ldconfig missing from initscripts
Summary: ldconfig missing from initscripts
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ldconfig   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-24 09:52 UTC by Dimitri Papadopoulos
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-09 02:41:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dimitri Papadopoulos 2000-05-24 09:52:46 UTC
From the ldconfig manual pages:
	It is normally run automatically at bootup, from /etc/rc [...]

This is not the case with RedHat 6.2.

I know this is not really a bug, and that I can do that myself
in /etc/rc.d/rc.local. However it may be a good idea to add
ldconfig to the standard startup scripts, as this would help
in the case of automated (kickstart) updates which add an
entry in /etc/ld.so.conf. Would it result in too long startup
times?

Sorry for bothering you with such minor issues.

Comment 1 Bill Nottingham 2000-05-31 21:22:10 UTC
Packages that install shared libraries need to
run ldconfig in %post. The ldconfig man page should
probably be changed, though...

Comment 2 Cristian Gafton 2000-08-09 02:41:29 UTC
assigned to jakub

Comment 3 Jakub Jelinek 2000-12-19 17:07:06 UTC
Fixed in man-pages-1.32 by putting a better ldconfig(8) man page.
All rpms providing shared libraries are responsible for calling ldconfig
in their %post/%postun/... scripts (and do so), so running ldconfig from
initscripts would just slow down booting (quite a lot especially on machines
with small amounts of memory, also most of the libraries are not in cache
yet so it means a lot of additional disk activity).


Note You need to log in before you can comment on or make changes to this bug.